Package com.independentsoft.office.odf

# Enum Class FootnotesPosition

java.lang.Object
java.lang.Enum<FootnotesPosition>
com.independentsoft.office.odf.FootnotesPosition

All Implemented Interfaces:
  `Serializable`, `Comparable<FootnotesPosition>`, `Constable`

public enum FootnotesPosition extends Enum<FootnotesPosition>
Represents a position for a footnote.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DOCUMENT`
  Define position for a footnote at the end of the document.
  `NONE`
  None.
  `PAGE`
  Define position for a footnote at the bottom of the page where the footnote citation is located.
  `SECTION`
  Define position for a footnote at the end of the section.
  `TEXT`
  Define position for a footnote at the page where the footnote citation is located, immediately below the page's text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FootnotesPosition`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FootnotesPosition[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TEXT

    public static final FootnotesPosition TEXT
    Define position for a footnote at the page where the footnote citation is located, immediately below the page's text.

  - ### PAGE

    public static final FootnotesPosition PAGE
    Define position for a footnote at the bottom of the page where the footnote citation is located.

  - ### SECTION

    public static final FootnotesPosition SECTION
    Define position for a footnote at the end of the section.

  - ### DOCUMENT

    public static final FootnotesPosition DOCUMENT
    Define position for a footnote at the end of the document.

  - ### NONE

    public static final FootnotesPosition NONE
    None.

- ## Method Details

  - ### values

    public static FootnotesPosition[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FootnotesPosition valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null